> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /storage/v1/buckets/{id}
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /storage/v1/buckets/{id}:
    get:
      tags:
        - nebius.storage.v1.BucketService
      summary: Get
      operationId: BucketService_Get
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1Bucket'
          description: A successful response.
components:
  schemas:
    v1Bucket:
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/v1BucketSpec'
        status:
          $ref: '#/components/schemas/v1BucketStatus'
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    v1BucketSpec:
      properties:
        bucketPolicy:
          $ref: '#/components/schemas/v1BucketPolicy'
        cors:
          $ref: '#/components/schemas/v1CORSConfiguration'
        defaultStorageClass:
          $ref: '#/components/schemas/v1StorageClass'
        forceStorageClass:
          description: >-
            Flag to force usage of default_storage_class, ignoring
            `x-amz-storage-class` header.
          type: boolean
        lifecycleConfiguration:
          $ref: '#/components/schemas/v1LifecycleConfiguration'
        maxSizeBytes:
          description: |-
            Maximum bucket size.
            Zero means unlimited.
            Actual limit can be lower if customer doesn't have enough quota.
            Real bucket size can go a little higher if customer writes too fast.
          format: int64
          type: string
        objectAuditLogging:
          $ref: '#/components/schemas/BucketSpecObjectAuditLogging'
        versioningPolicy:
          $ref: '#/components/schemas/v1VersioningPolicy'
      type: object
    v1BucketStatus:
      properties:
        anonymousAccessEnabled:
          description: >-
            Indicator flag showing whether the bucket has any BucketPolicy rule

            that grants anonymous access to any object, prefix, or the entire
            bucket.
          type: boolean
        counters:
          items:
            $ref: '#/components/schemas/v1BucketCounters'
          type: array
        deletedAt:
          description: |-
            The time when the bucket was deleted (or scheduled for deletion).
            It resets to null if the bucket is undeleted.
          format: date-time
          type: string
        domainName:
          description: >-
            The domain of the endpoint where the bucket can be accessed. It
            omits the scheme (HTTPS) and the port (443)

            and contains only the FQDN address.
          type: string
        purgeAt:
          description: >-
            The time when the bucket will be automatically purged in case it was
            soft-deleted.
          format: date-time
          type: string
        region:
          description: >-
            The name of the region where the bucket is located for use with S3
            clients, i.e. "eu-west1".
          type: string
        state:
          $ref: '#/components/schemas/v1BucketStatusState'
        suspensionState:
          $ref: '#/components/schemas/v1BucketStatusSuspensionState'
      type: object
    v1BucketPolicy:
      description: Bucket policy specifies granular permissions for a bucket.
      properties:
        rules:
          description: >-
            Rule specifies which role must be given to a subject to access a set
            of objects with given

            prefixes or a whole bucket.
          items:
            $ref: '#/components/schemas/BucketPolicyRule'
          type: array
      type: object
    v1CORSConfiguration:
      description: Cross-origin resource sharing (CORS) configuration.
      properties:
        rules:
          description: CORS rules.
          items:
            $ref: '#/components/schemas/v1CORSRule'
          type: array
      type: object
    v1StorageClass:
      default: STORAGE_CLASS_UNSPECIFIED
      description: ' - FILESYSTEM: Special storage class only for filesystem buckets.'
      enum:
        - STORAGE_CLASS_UNSPECIFIED
        - STANDARD
        - ENHANCED_THROUGHPUT
        - INTELLIGENT
        - FILESYSTEM
      type: string
    v1LifecycleConfiguration:
      description: >-
        The lifecycle configuration consists of one or more rules.

        An Lifecycle configuration can have up to 1,000 rules.

        Each rule consists of the following:

        - A filter identifying a subset of objects to which the rule applies.
          The filter can be based on a key name prefix, object size, or any combination of these.
        - A status indicating whether the rule is currently active.

        - One or more lifecycle expiration actions that you want to be performed
        on the objects
          identified by the filter. If the state of your bucket is versioning-enabled or versioning-suspended
          (bucket.spec.versioning_policy equals to ENABLED or SUSPENDED) you can have many versions of the same
          object (one current version and zero or more noncurrent versions). The system provides predefined actions
          that you can specify for current and noncurrent object versions.
      properties:
        lastAccessFilter:
          $ref: '#/components/schemas/v1LifecycleAccessFilter'
        rules:
          items:
            $ref: '#/components/schemas/v1LifecycleRule'
          type: array
      type: object
    BucketSpecObjectAuditLogging:
      default: OBJECT_AUDIT_LOGGING_UNSPECIFIED
      description: |2-
         - NONE: Logging is disabled.
         - MUTATE_ONLY: Logging enabled only for mutating requests.
         - ALL: Logging enabled for all requests.
      enum:
        - OBJECT_AUDIT_LOGGING_UNSPECIFIED
        - NONE
        - MUTATE_ONLY
        - ALL
      type: string
    v1VersioningPolicy:
      default: VERSIONING_POLICY_UNSPECIFIED
      enum:
        - VERSIONING_POLICY_UNSPECIFIED
        - DISABLED
        - ENABLED
        - SUSPENDED
      type: string
    v1BucketCounters:
      properties:
        counters:
          $ref: '#/components/schemas/v1CurrentBucketCounters'
        nonCurrentCounters:
          $ref: '#/components/schemas/v1NonCurrentBucketCounters'
        storageClass:
          $ref: '#/components/schemas/v1StorageClass'
      type: object
    v1BucketStatusState:
      default: STATE_UNSPECIFIED
      description: >2-
         - CREATING: Bucket is under creation and cannot be used yet.
         - ACTIVE: Bucket is active and ready for usage.
         - UPDATING: Bucket is being updated.
        It can be used, but some settings are being modified and you can observe
        their inconsistency.
         - SCHEDULED_FOR_DELETION: Bucket is scheduled for deletion.
        It cannot be used in s3 api anymore.
      enum:
        - STATE_UNSPECIFIED
        - CREATING
        - ACTIVE
        - UPDATING
        - SCHEDULED_FOR_DELETION
      type: string
    v1BucketStatusSuspensionState:
      default: SUSPENSION_STATE_UNSPECIFIED
      enum:
        - SUSPENSION_STATE_UNSPECIFIED
        - NOT_SUSPENDED
        - SUSPENDED
      type: string
    BucketPolicyRule:
      properties:
        anonymous:
          $ref: '#/components/schemas/RuleAnonymousAccess'
        groupId:
          description: Group ID to grant access to.
          type: string
        paths:
          description: >-
            A list of paths each of which is either a full object key or a
            prefix ending with a

            single "*" wildcard character. A rule is only applied to objects
            matching any of paths.

            If there is a path equal to "*", a rule applies to a whole bucket.
          items:
            type: string
          type: array
        roles:
          description: >-
            A set of roles which a subject will have. All `storage.*` roles are
            supported.
          items:
            type: string
          type: array
      type: object
    v1CORSRule:
      properties:
        allowedHeaders:
          items:
            type: string
          title: >-
            Headers that are allowed in a preflight request through the
            Access-Control-Request-Headers header
          type: array
        allowedMethods:
          description: 'HTTP methods CORS is allowed for: GET, PUT, POST, DELETE, HEAD.'
          items:
            required:
              - allowed_methods
            type: string
          type: array
        allowedOrigins:
          description: >-
            The origins that you want to allow cross-domain requests from.
            Single wildcard * is allowed.
          items:
            required:
              - allowed_origins
            type: string
          type: array
        exposeHeaders:
          description: >-
            Headers in the response that you want customers to be able to access
            from their applications.
          items:
            type: string
          type: array
        id:
          description: Optional rule identifier.
          type: string
        maxAgeSeconds:
          description: >-
            Time in seconds that your browser can cache the response for a
            preflight request as identified by the resource.
          format: int32
          type: integer
      type: object
    v1LifecycleAccessFilter:
      description: >-
        Specifies which requests are included in `days_since_last_access`
        calculations.
      properties:
        conditions:
          items:
            $ref: '#/components/schemas/LifecycleAccessFilterCondition'
          title: |-
            A request is included in `days_since_last_access` calculations if:
            - The first condition matching the request has `INCLUDE` type.
            OR
            - The request doesn't match any conditions
          type: array
      type: object
    v1LifecycleRule:
      properties:
        abortIncompleteMultipartUpload:
          $ref: '#/components/schemas/v1LifecycleAbortIncompleteMultipartUpload'
        expiration:
          $ref: '#/components/schemas/v1LifecycleExpiration'
        filter:
          $ref: '#/components/schemas/v1LifecycleFilter'
        id:
          description: |-
            Unique identifier for the rule per configuration.
            The value cannot be longer than 255 characters.
          type: string
        noncurrentVersionExpiration:
          $ref: '#/components/schemas/v1LifecycleNoncurrentVersionExpiration'
        noncurrentVersionTransition:
          $ref: '#/components/schemas/v1LifecycleNoncurrentVersionTransition'
        status:
          $ref: '#/components/schemas/v1LifecycleRuleStatus'
        transition:
          $ref: '#/components/schemas/v1LifecycleTransition'
      required:
        - id
        - status
      type: object
    v1CurrentBucketCounters:
      properties:
        inflightPartsQuantity:
          format: int64
          type: string
        inflightPartsSize:
          format: int64
          type: string
        multipartObjectsQuantity:
          format: int64
          type: string
        multipartObjectsSize:
          format: int64
          type: string
        multipartUploadsQuantity:
          format: int64
          type: string
        simpleObjectsQuantity:
          format: int64
          type: string
        simpleObjectsSize:
          format: int64
          type: string
      type: object
    v1NonCurrentBucketCounters:
      description: Counters for non-current object versions (for versioning buckets).
      properties:
        multipartObjectsQuantity:
          format: int64
          type: string
        multipartObjectsSize:
          format: int64
          type: string
        simpleObjectsQuantity:
          format: int64
          type: string
        simpleObjectsSize:
          format: int64
          type: string
      type: object
    RuleAnonymousAccess:
      type: object
    LifecycleAccessFilterCondition:
      properties:
        methods:
          items:
            $ref: '#/components/schemas/ConditionMethod'
          title: |-
            The s3 methods to match.
            An empty list matches all methods
          type: array
        type:
          $ref: '#/components/schemas/LifecycleAccessFilterConditionType'
        userAgents:
          description: >-
            User agents to match. Condition is satisfied if the request's user
            agent contains any of these substrings.

            An empty list matches all user agents.
          items:
            type: string
          type: array
      required:
        - type
      type: object
    v1LifecycleAbortIncompleteMultipartUpload:
      properties:
        daysAfterInitiation:
          description: >-
            Specifies the days since the initiation of an incomplete multipart
            upload that

            the system will wait before permanently removing all parts of the
            upload.
          format: int32
          type: integer
      type: object
    v1LifecycleExpiration:
      properties:
        date:
          description: >-
            Indicates at what date the object will be deleted. The time is
            always midnight UTC.
          format: date-time
          type: string
        days:
          description: >-
            Indicates the lifetime, in days, of the objects that are subject to
            the rule.

            The value must be a non-zero positive integer.
          format: int32
          type: integer
        expiredObjectDeleteMarker:
          description: >-
            Indicates whether the system will remove a "delete marker" with no
            noncurrent versions.

            If set to true, the "delete marker" will be permanently removed.

            If set to false the policy takes no action.

            This cannot be specified with Days or Date in a LifecycleExpiration
            Policy.
          type: boolean
      type: object
    v1LifecycleFilter:
      properties:
        objectSizeGreaterThanBytes:
          description: Minimum object size to which the rule applies.
          format: int64
          type: string
        objectSizeLessThanBytes:
          description: Maximum object size to which the rule applies.
          format: int64
          type: string
        prefix:
          description: |-
            Prefix identifying one or more objects to which the rule applies.
            If prefix is empty, the rule applies to all objects in the bucket.
          type: string
        tags:
          description: >-
            Tags to filter objects by their tagging. Rule applies only to
            objects that

            match all tags in a filter.
          items:
            $ref: '#/components/schemas/LifecycleFilterTag'
          type: array
      type: object
    v1LifecycleNoncurrentVersionExpiration:
      properties:
        newerNoncurrentVersions:
          description: Specifies how many noncurrent versions the system will retain.
          format: int32
          type: integer
        noncurrentDays:
          description: >-
            Specifies the number of days an object is noncurrent before the
            system will expire it.
          format: int32
          type: integer
      type: object
    v1LifecycleNoncurrentVersionTransition:
      properties:
        newerNoncurrentVersions:
          description: >-
            Specifies how many noncurrent versions the system will retain
            without transition.
          format: int32
          type: integer
        noncurrentDays:
          description: >-
            Specifies the number of days an object is noncurrent before the
            system will transit it.
          format: int32
          type: integer
        storageClass:
          $ref: '#/components/schemas/v1StorageClass'
      type: object
    v1LifecycleRuleStatus:
      default: STATUS_UNSPECIFIED
      enum:
        - STATUS_UNSPECIFIED
        - ENABLED
        - DISABLED
      type: string
    v1LifecycleTransition:
      properties:
        date:
          description: >-
            Indicates at what date the object will be transited. The time is
            always midnight UTC.
          format: date-time
          type: string
        days:
          description: >-
            Amount of days since object was uploaded before it's transited to a
            new storage class.

            The value must be a non-zero positive integer.
          format: int32
          type: integer
        daysSinceLastAccess:
          description: >-
            The number of days since the object was last accessed before it is
            transitioned.
          format: int32
          type: integer
        storageClass:
          $ref: '#/components/schemas/v1StorageClass'
      type: object
    ConditionMethod:
      default: METHOD_UNSPECIFIED
      description: >2-
         - COPY_OBJECT: Copy object method reads the source object.
        We account for those operations as source object accesses when
        calculating `days_since_last_access` for source object.
         - UPLOAD_PART_COPY: Upload part copy method reads the source object.
        We account for those operations as source object accesses when
        calculating `days_since_last_access` for source object.
      enum:
        - METHOD_UNSPECIFIED
        - GET_OBJECT
        - HEAD_OBJECT
        - GET_OBJECT_TAGGING
        - COPY_OBJECT
        - UPLOAD_PART_COPY
      type: string
    LifecycleAccessFilterConditionType:
      default: TYPE_UNSPECIFIED
      description: |2-
         - INCLUDE: If an include type condition is the first condition that the request match, the request will be included in
        `days_since_last_access` calculation.
         - EXCLUDE: If an exclude type condition is the first condition that the request match, the request will be ignored in `days_since_last_access`
        calculation.
      enum:
        - TYPE_UNSPECIFIED
        - INCLUDE
        - EXCLUDE
      type: string
    LifecycleFilterTag:
      properties:
        key:
          type: string
        value:
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````